Name:		mdvinput
Version:	1.6.6
Release:	%mkrel 1
Summary:	Small program for set keyboard, mouse and touchpad
URL:		https://sourceforge.net/projects/mdvinput
Group:		Graphical desktop/Other
License:	GPLv3
Source0:	https://sourceforge.net/projects/mdvinput/files/%{name}-%{version}.tar.xz
Requires:	python3
Requires:	python3-gobject3
Requires:	python3-configobj
BuildArch:	noarch

%description
It's small utility for setup keyboard, mouse and touchpad
for replace lxinput and other on lightweight DE.

%prep
%setup -q

%build
#nothing

%install
rm -rf %buildroot
mkdir -p %{buildroot}%{_prefix}
mkdir -p %{buildroot}%{_datadir}/applications
cp -rf ./bin %{buildroot}%{_prefix}/
cp -rf ./share %{buildroot}%{_prefix}/

#menu
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Configuration-Other" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


%find_lang %{name}

%files  -f %{name}.lang
%doc AUTHORS ChangeLog README TODO
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}



%changelog
* Tue Oct 01 2019 tex - 1.6.6-1pclos2019
- new version

* Wed Dec 14 2016 bb <bb> 1.6.4-1pclos2017
- import

